DBusMessageIter_1_10_0 Struct Reference
D-Bus secret internal implementation details » DBusMessage implementation details

Layout of a DBusMessageIter on the stack in dbus 1.10.0. More...

## Data Fields

void * | dummy1
void * | dummy2
dbus_uint32_t | dummy3
int | dummy4
int | dummy5
int | dummy6
int | dummy7
int | dummy8
int | dummy9
int | dummy10
int | dummy11
int | pad1
int | pad2
void * | pad3

## Detailed Description

Layout of a DBusMessageIter on the stack in dbus 1.10.0.

This is no longer used, but for ABI compatibility we need to assert that the new layout is the same size.

Definition at line 155 of file dbus-message.c.

## Field Documentation

## dummy1

void* DBusMessageIter_1_10_0::dummy1

Definition at line 157 of file dbus-message.c.

## dummy10

int DBusMessageIter_1_10_0::dummy10

Definition at line 166 of file dbus-message.c.

## dummy11

int DBusMessageIter_1_10_0::dummy11

Definition at line 167 of file dbus-message.c.

## dummy2

void* DBusMessageIter_1_10_0::dummy2

Definition at line 158 of file dbus-message.c.

## dummy3

dbus_uint32_t DBusMessageIter_1_10_0::dummy3

Definition at line 159 of file dbus-message.c.

## dummy4

int DBusMessageIter_1_10_0::dummy4

Definition at line 160 of file dbus-message.c.

## dummy5

int DBusMessageIter_1_10_0::dummy5

Definition at line 161 of file dbus-message.c.

## dummy6

int DBusMessageIter_1_10_0::dummy6

Definition at line 162 of file dbus-message.c.

## dummy7

int DBusMessageIter_1_10_0::dummy7

Definition at line 163 of file dbus-message.c.

## dummy8

int DBusMessageIter_1_10_0::dummy8

Definition at line 164 of file dbus-message.c.

## dummy9

int DBusMessageIter_1_10_0::dummy9

Definition at line 165 of file dbus-message.c.

## pad1

int DBusMessageIter_1_10_0::pad1

Definition at line 168 of file dbus-message.c.

## pad2

int DBusMessageIter_1_10_0::pad2

Definition at line 169 of file dbus-message.c.

## pad3

void* DBusMessageIter_1_10_0::pad3

Definition at line 170 of file dbus-message.c.

The documentation for this struct was generated from the following file:

- dbus-message.c